import * as ts from "typescript";
import { ApiItem } from "../abstractions/api-item";
import { ApiInterfaceDto } from "../contracts/definitions/api-interface-dto";
export declare class ApiInterface extends ApiItem<ts.InterfaceDeclaration, ApiInterfaceDto> {
    /**
     * Interfaces can extend multiple interfaces.
     */
    private extends;
    private typeParameters;
    private members;
    protected OnGatherData(): void;
    OnExtract(): ApiInterfaceDto;
}
