import * as ts from "typescript";
import { ApiItem } from "../abstractions/api-item";
import { ApiMappedDto } from "../contracts/definitions/api-mapped-dto";
export declare class ApiMapped extends ApiItem<ts.MappedTypeNode, ApiMappedDto> {
    private typeParameter;
    private type;
    private isReadonly;
    private isOptional;
    protected OnGatherData(): void;
    OnExtract(): ApiMappedDto;
}
