import * as ts from "typescript";
import { ApiItem } from "../abstractions/api-item";
import { ApiPropertyDto } from "../contracts/definitions/api-property-dto";
export declare class ApiProperty extends ApiItem<ts.PropertySignature, ApiPropertyDto> {
    private type;
    private isOptional;
    private isReadonly;
    protected OnGatherData(): void;
    OnExtract(): ApiPropertyDto;
}
