import * as ts from "typescript";
import { ApiItem } from "../abstractions/api-item";
import { ApiVariableDto } from "../contracts/definitions/api-variable-dto";
export declare class ApiVariable extends ApiItem<ts.VariableDeclaration, ApiVariableDto> {
    private type;
    private variableDeclarationType;
    protected OnGatherData(): void;
    OnExtract(): ApiVariableDto;
}
