import * as ts from "typescript";
import { ApiItem } from "../abstractions/api-item";
import { ApiClassConstructorDto } from "../contracts/definitions/api-class-constructor-dto";
export declare class ApiClassConstructor extends ApiItem<ts.ConstructorDeclaration, ApiClassConstructorDto> {
    private isOverloadBase;
    private parameters;
    private accessModifier;
    protected OnGatherData(): void;
    OnExtract(): ApiClassConstructorDto;
}
