import * as ts from "typescript";
import { ApiClassMethodDto } from "../contracts/definitions/api-class-method-dto";
import { ApiCallableBase } from "../abstractions/api-callable-base";
export declare class ApiClassMethod extends ApiCallableBase<ts.MethodDeclaration, ApiClassMethodDto> {
    private accessModifier;
    private isAbstract;
    private isStatic;
    private isOptional;
    private isAsync;
    OnGatherData(): void;
    OnExtract(): ApiClassMethodDto;
}
