import * as ts from "typescript";
import { ApiItem } from "../abstractions/api-item";
import { ApiClassDto } from "../contracts/definitions/api-class-dto";
export declare class ApiClass extends ApiItem<ts.ClassDeclaration, ApiClassDto> {
    /**
     * Interfaces can extend multiple interfaces.
     */
    private extends;
    private implements;
    private typeParameters;
    private members;
    private isAbstract;
    protected OnGatherData(): void;
    OnExtract(): ApiClassDto;
}
