import * as ts from "typescript";
import { ApiItem } from "../abstractions/api-item";
import { ApiIndexDto } from "../contracts/definitions/api-index-dto";
export declare class ApiIndex extends ApiItem<ts.IndexSignatureDeclaration, ApiIndexDto> {
    private parameter;
    private type;
    private isReadonly;
    protected OnGatherData(): void;
    OnExtract(): ApiIndexDto;
}
